package com.viettel.campaign.web.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class CampaignDTO extends BaseDTO {

    private BigDecimal campaignId;
    private BigDecimal companySiteId;
    private String campaignCode;
    private String campaignName;
    private Short chanel;
    private String content;
    private BigDecimal customerNumber;
    private String target;
    private Short status;
    private Date startTime;
    private Date endTime;
    private Integer maxRecall;
    private Integer recallType;
    private Integer recallDuration;
    private String createBy;
    private Date createTime;
    private String updateBy;
    private Date updateTime;
    private String campaignType;
    private String product;
    private Integer processStatus;
    private BigDecimal dialMode;
    private String deptCode;
    private String timeRange;
    private String dayOfWeek;
    private BigDecimal currentTimeModel;
    private BigDecimal wrapupTimeConnect;
    private BigDecimal wrapupTimeDisconnect;
    private BigDecimal previewTime;
    private BigDecimal rateDial;
    private BigDecimal rateMiss;
    private BigDecimal avgTimeProcess;
    private BigDecimal isApplyCustLock;
    private BigDecimal targetType;
    private BigDecimal isTarget;
    private BigDecimal campaignIvrCalledId;
    private BigDecimal concurrentCall;
    private String callOutTimeInDay;
    private String musicList;
    private Integer timePlayMusic;
    private Date campaignStart;
    private Date campaignEnd;
    private Integer timeWaitAgent;
    private BigDecimal questIndex;
    private Long numOfJoinedCus;
    private Long numOfNotJoinedCus;
    private Long numOfLockCus;
}
